commit:     78a553bf80c525f7ec8d6959c9bf185dc15e1c08
Author:     Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 13 13:35:09 2024 +0000
Commit:     Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Sun Oct 13 13:35:09 2024 +0000
URL:        https://gitweb.gentoo.org/proj/catalyst.git/commit/?id=78a553bf

Set root password manually. Works now.

Signed-off-by: Andreas K. Hüttel <dilfridge <AT> gentoo.org>

 targets/support/diskimage-installation.sh | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/targets/support/diskimage-installation.sh 
b/targets/support/diskimage-installation.sh
index 2f5bec7c..45d870a5 100755
--- a/targets/support/diskimage-installation.sh
+++ b/targets/support/diskimage-installation.sh
@@ -27,6 +27,7 @@ systemctl preset-all || die "Running systemctl preset-all 
failed"
 
 echo "Setting locale"
 echo 'LANG="en_US.UTF-8"' > /etc/locale.conf || die "Failed to set locale"
+env-update || die "Failed to run env-update"
 
 echo "Setting keymap"
 echo "KEYMAP=us" > /etc/vconsole.conf || die "Failed to set keymap"
@@ -40,8 +41,10 @@ case ${clst_diskimage_type} in
                ;;
        console)
                echo "Setting up console log-in image. Please set the root 
password ASAP."
+               echo "Removing root password"
+               passwd -d root || die "Failed removing root password"
                echo "Running systemd-firstboot"
-               systemd-firstboot --timezone=UTC --delete-root-password || die 
"Failed running systemd-firstboot"
+               systemd-firstboot --timezone=UTC || die "Failed running 
systemd-firstboot"
                ;;
        *)
                die "As yet unsupported image type"

Reply via email to